% generate clayton copula
function U = clayton_copula(seed, theta, d, n)
    rng(seed);
    v = gamrnd(1/theta,1,n,1); %simulate a gamma variate v~Ga(1/theta,1)
    x = rand(n,d); %simulate d independent standard uniforms
    %return U
    t = -log(x) ./ v;
    U = power(1 + t,-1/theta);
end