%define log Likelihood function for Clayton's Copula density
function L=logL(u,v,theta)
    n=length(u);
    c=log(power(u,-theta)+power(v,-theta)-1);
    L=-(n*log(theta+1)-(theta+1)*(sum(log(u))+sum(log(v)))-(2+1/theta)*sum(c));
end
