clc
clear all

%Gumbel copula theta
sim_gumbel=gumbel_copula(1, 3, 2, 1000);
tau_gumbel=corr(sim_gumbel(:,1),sim_gumbel(:,2),'Type','Kendall');
est_theta_gum=1/(1-tau_gumbel);

%gaussian copula rho=sin(pi*tau/2)
sigma=[1 0.5; 0.5 1];
sim_gaussian=gaussian_copula(1, sigma, 1000);
tau_gaussian=corr(sim_gaussian(:,1),sim_gaussian(:,2),'Type','Kendall');
est_rho=sin(pi*tau_gaussian/2);

%Clayton copula theta
sim_clayton=clayton_copula(1, 4, 2, 1000);
tau_clayton=corr(sim_clayton(:,1),sim_clayton(:,2),'Type','Kendall');
est_theta_cl=2*tau_clayton/(1-tau_clayton);

%Frank copula theta
sim_frank=frank_copula(1, 2, 2, 1000);
tau_frank=corr(sim_frank(:,1),sim_frank(:,2),'Type','Kendall');
%compare estimated tau_frank with the computed from the relationship, or use some
%solver instead for finding theta explicitly
tau_frank_from_relationship=1-4*(1-debye1(2))/2;



