clc
clear all

%Simulate Clayton Copula for d=2, theta=4, and n=1000
U_sim=clayton_copula(1, 4, 2, 1000); 
u=U_sim(:,1); v=U_sim(:,2);
%initial_guess
theta_initial=3;

%fminsearch minimizer
est_theta1=fminsearch(@(x) logL(u,v,x),theta_initial);

%built-in function
est_theta2 = copulafit('Clayton',U_sim);




